Subject: Re: [PATCH] doc: commit: document special date keywords for --date

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2026 09:10:20 -0800

"Md Ferdous Alam via GitGitGadget" <[email-masked]> writes:

> From: mdferdousalam <[email-masked]>
>
> The --date option in git-commit accepts human-readable keywords
> like "now", "yesterday", "noon", "midnight", "tea", and "never",
> but these were not documented.

I've always thought that these are easter eggs to be discovered,
deliberately left out of documentation, as they mostly exist to be
amusing.  For those who want to be precise, the date formats section
gives sufficient information.

Other than perhaps "now", which may be handy but not so useful in
the context of "git commit --date=now".

Moreover, 7.days.ago and 1.week.ago are also in the same category as
what you called "keywords" here, but we do not try to make an
exhausitive list.

So, I dunno.